$! --- VMS.com ---
$!
$ GoSub defines
$! GoSub linker_options
$ If (P1 .nes. "")
$ Then 
$   GoSub 'P1'
$ Else
$   GoSub lib
$   GoSub destest
$   GoSub rpw
$   GoSub speed
$   GoSub des
$ EndIF
$!
$ Exit
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$DEFINES:
$! OPT_FILE := "VAX_LINKER_OPTIONS.OPT"
$!
$ CC_OPTS := "/standard=vaxc/NODebug/OPTimize/NOWarn"
$!
$ LINK_OPTS := "/NODebug/NOTraceback/Contiguous"
$!
$ OBJS1  = "cbc3_enc.obj,cbc_cksm.obj,cbc_enc.obj,ecb_enc.obj,pcbc_enc.obj," + -
          "qud_cksm.obj,rand_key.obj,read_pwd.obj,set_key.obj,"      + -
          "str2key.obj,enc_read.obj,enc_writ.obj,fcrypt.obj,"           + -
	  	  "cfb_enc.obj,ecb3_enc.obj,ofb_enc.obj" 
$!
$ OBJS2  = "ede_enc.obj,cfb64enc.obj,cfb64ede.obj,"				+ -
		   "ofb64enc.obj,ofb64ede.obj,xcbc_enc.obj,ncbc_enc.obj"
	   
	   
$!
$ LIBDES = "cbc3_enc.c,cbc_cksm.c,cbc_enc.c,ecb_enc.c,enc_read.c,"  + -
           "enc_writ.c,pcbc_enc.c,qud_cksm.c,rand_key.c,"         + -
           "read_pwd.c,set_key.c,str2key.c,fcrypt.c,"                + -
 	       "cfb_enc.c,ecb3_enc.c,ofb_enc.c,"                     + -
		   "ede_enc.c,cfb64enc.c,cfb64ede.c,"				+ -
		   "ofb64enc.c,ofb64ede.c,xcbc_enc.c,ncbc_enc.c"
$ Return
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$LINKER_OPTIONS:
$ If (f$search(OPT_FILE) .eqs. "")
$ Then
$   Create 'OPT_FILE'
$DECK
! Default system options file to link against the sharable C runtime library
!
Sys$Share:VAXcRTL.exe/Share
$EOD
$ EndIF
$ Return
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$LIB:
$ CC 'CC_OPTS' 'LIBDES'
$ If (f$search("LIBDES.OLB") .nes. "")
$ Then 
$ 	Library /Object /Replace libdes 'OBJS1'
$ 	Library /Object /Replace libdes 'OBJS2'
$ Else 
$	Library /Create /Object  libdes 'OBJS1'
$ 	Library /Object /Replace libdes 'OBJS2'
$ EndIF
$ Return
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$DESTEST:
$ CC 'CC_OPTS' destest
$! Link 'link_opts' /Exec=destest destest.obj,libdes/LIBRARY,'opt_file'/Option
$ Link 'link_opts' /Exec=destest destest.obj,libdes/LIBRARY
$ Return
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$RPW:
$ CC 'CC_OPTS' rpw
$! Link 'link_opts' /Exec=rpw  rpw.obj,libdes/LIBRARY,'opt_file'/Option
$ Link 'link_opts' /Exec=rpw  rpw.obj,libdes/LIBRARY
$ Return
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$SPEED:
$ CC 'CC_OPTS' speed
$! Link 'link_opts' /Exec=speed speed.obj,libdes/LIBRARY,'opt_file'/Option
$ Link 'link_opts' /Exec=speed speed.obj,libdes/LIBRARY
$ Return
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$DES:
$ CC 'CC_OPTS' des
$! Link 'link_opts' /Exec=des des.obj,libdes/LIBRARY,'opt_file'/Option
$ Link 'link_opts' /Exec=des des.obj,libdes/LIBRARY
$ Return
